import request2 from '@/utils/request2'

export const getTeacherServeInfo = data => request2({
  url: '/api-web/exercisesSituation/queryTeacherServeInfo',
  params: data,
  method: 'get',
})

// exercisesSituation/teacherServeRemindPush
export const teacherServeRemindPush = data => request2({
  url: '/api-web/exercisesSituation/teacherServeRemindPush',
  data: data,
  method: 'post',
})

export const getTeacherServeHomeworkDetail = data => request2({
  url: '/api-web/exercisesSituation/queryTeacherServeHomeworkDetail',
  params: data,
  method: 'get',
})

export const getTeacherServeExtraDetail = data => request2({
  url: '/api-web/exercisesSituation/queryTeacherServeExtraDetail',
  params: data,
  method: 'get',
})
